## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 14;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           flopgen
Version:        0.1.0
Release:        %autorelease
Summary:        Tool for automatic creation of FAT-formatted floppy disk images

# Automatically converted from old format: GPLv3 and BSD - review is highly recommended.
License:        GPL-3.0-only AND LicenseRef-Callaway-BSD
URL:            https://github.com/maksgraczyk/Flopgen
Source0:        %{url}/archive/v%{version}/Flopgen-%{version}.tar.gz
# PR#2: Fix the build on GCC 8
Patch0:         %{url}/commit/16f69999297e6808cd35aad402f208d40a4710c1.patch

BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  sed
BuildRequires:  cli11-devel
%if 0%{?fedora}
BuildRequires:  cli11-static
%endif

# Added in 3c9b2d695ba35cb5a36265e1bb52793c40412c3b and modified, see
# README.md for details.
Provides:       bundled(fatfs) = 0.14

%description
Flopgen is a tool for automatic creation of FAT-formatted floppy disk images
with user-supplied files.

This program should be especially useful for people who need to transfer files
frequently between their main machines and emulated/virtualised legacy systems
with no or unreliable CD support.

%prep
%autosetup -n Flopgen-%{version} -p1
# neuter hardcoded flags
sed -e '/CXXFLAGS = --std=c++17/d' -e '/LDFLAGS = -lstdc++fs/d' -i Makefile
# replace embedded copy of cli11 with the system one
rm -f cli/*
ln -s /usr/include/CLI/CLI.hpp cli/CLI11.hpp

%build
export CFLAGS="-I/usr/include/CLI --std=c++17 %{optflags}"
export CXXFLAGS="-I/usr/include/CLI --std=c++17 %{optflags}"
export LDFLAGS="-lstdc++fs %{build_ldflags}"
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
cp -P flopgen %{buildroot}%{_bindir}/

%files
%license LICENSE
%doc README.md
%{_bindir}/*

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Aug 28 2024 Miroslav Suchý <msuchy@redhat.com> - 0.1.0-13
- convert license to SPDX

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Aug 13 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.0-5
- Rebuild for cli11 2.0.0

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 10 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.0-3
- Gate cli11-static to Fedora as it's not available in EPEL

* Tue Mar  9 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.0-2
- Rename to flopgen
- Fix license
- Add BuildRequires on cli11-static

* Sun Jan  3 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.0-1
- Initial package

## END: Generated by rpmautospec
